function dat = LoadSingleChannel(trodeFile, chan, varargin)

timeRange = [0 Inf];

for i = 1 : 2 : length(varargin)
    
    switch lower(varargin{i})
        case 'timerange'
            timeRange = varargin{i+1};
        otherwise 'Invalid optional argument passed to LoadSingleChannel'
    end
    
end

hsdHeader = getHsdHeader_ver4(trodeFile);
Fs = hsdHeader.sampling_rate;
bytesPerSample = hsdHeader.bytesPerSample;
dataOffset = hsdHeader.dataOffset;
nChan = hsdHeader.num_channels;  
vScale = hsdHeader.vScale;
hsdInfo = dir(trodeFile);
datalength = floor((hsdInfo.bytes - dataOffset) / (bytesPerSample * nChan));

chan = intersect(chan, 1:nChan);
if isempty(chan)
    chan = 1;
end

t1 = max(0, timeRange(1));
t2 = min(datalength / Fs, timeRange(2));
firstSample = round(t1 * Fs);
nSamples = round((t2 - t1) * Fs);
startPos = dataOffset + firstSample * nChan * bytesPerSample;

f = fopen(trodeFile);
fseek(f, startPos, 'bof');

dat = double(fread(f, [nChan, nSamples], 'int16'));
dat = mean(dat(chan,:), 1) * vScale;
fclose(f);