function xc = CrossCorr2(refSpk, testSpk, varargin)

nSamp = 10000;
binSpec = [];
binEdges = -100.5:100.5;

for i = 1:2:length(varargin)
    switch varargin{i}
        case 'nSamp'
            nSampTarget = varargin{i+1};
        case 'binEdges'
            binEdges = varargin{i+1};
        case 'binSpec'
            binSpec = varargin{i+1};
        otherwise
            disp('invalid optional argument passed to CrossCorr');
    end
end

ac = false;
if length(refSpk) == length(testSpk)
    if all(refSpk == testSpk)
        ac = true;
    end
end

if ~isempty(binSpec)
    numBins = binSpec(1);
    binWidth = binSpec(2);
    binEdges = (1:numBins + 1)*binWidth;
    binEdges = binEdges - binEdges(end)/2 - binWidth/2;
end

t = binEdges(2:end) - diff(binEdges)/2;
refSpk = 1000 *refSpk; % convert to spk time in ms
testSpk = 1000 * testSpk; % convert to spk time in ms

nSamp = min([nSamp length(refSpk)]);
samp = randsample(length(refSpk), nSamp);
refSpk = refSpk(samp);

counts = zeros(1, length(binEdges) - 1);
for i = 1:nSamp
    counts = counts + histcounts(testSpk - refSpk(i), binEdges);
end

zeroBin = find(abs(t) == min(abs(t)));
if ac
    counts(zeroBin) = 0;
end
xc.t = t;
xc.y = counts / nSamp;


