function unit = ExportToUnit(spkDat, rat, date, trode, implantSide)

spkDat.waves = double(spkDat.waves);
[wL, ~, ~] = size(spkDat.waves);
wP = spkDat.wavePad;
wL = wL - 2*wP;
pts = (1:wL) + wP;
clustList = setdiff(unique(spkDat.id), 0);
for i = 1:length(clustList)
    loc = find(spkDat.id == clustList(i));
    unit(i).name = [rat ' ' date ' ' trode ' ' num2str(clustList(i))];
    unit(i).spkTimes = spkDat.ts(loc) / spkDat.Fs;
    unit(i).taskList = spkDat.taskList;
    unit(i).taskStart = spkDat.taskStart;
    unit(i).taskEnd = spkDat.taskEnd;
    unit(i).behav_ts = [];
    unit(i).behav_log = [];
    unit(i).side = implantSide;
    unit(i).location = [];
    unit(i).cellType = '';
    
    unit(i).meanWaveform = mean(spkDat.waves(pts,:,loc), 3) * spkDat.vScale;
    unit(i).peakLoc = spkDat.peakLoc;
    unit(i).Fs = spkDat.Fs * spkDat.upsample;
end