function spkDat = AlignWaves(spkDat, dt)

[wL, nChan, ~] = size(spkDat.waves);

spkDat.ts = spkDat.ts + dt;

shiftList = find(dt ~= 0);
for i = shiftList
    wv = zeros(wL, nChan);
    pts = (1:wL) + dt(i);
    pts = pts(pts > 0 & pts <= wL);
    wv(pts - dt(i), :) = spkDat.waves(pts, :, i);
    spkDat.waves(:,:,i) = wv;
end

if length(find(spkDat.ts - spkDat.ts0 > spkDat.wavePad)) > 0;
    disp('WARNING: total shift exceeds wavePad on some spikes--reload waves recommended')
end