function AmplPlot(spkDat, plotClust)

convertToVolt = true;

clustList = setdiff(unique(spkDat.id), 0);
clust = plotClust(ismember(plotClust, clustList));
nClust = length(clust);
nonClust = setdiff(plotClust, clustList);
if length(nonClust) ~= 0
    disp([num2str(length(nonClust)) ' clusters not found in spkDat: ' num2str(nonClust)])
end
if nClust == 0
    return
end

[wL, nChan, ~] = size(spkDat.waves);
avgWaves = zeros(wL, nChan, nClust);
pkAmpl = zeros(nClust, nChan);
pkLoc = pkAmpl;
for i = 1:nClust
    loc = find(spkDat.id == clust(i));
    avgWaves(:,:,i) = mean(spkDat.waves(:,:,loc), 3);
    [pkAmpl(i,:), pkLoc(i,:)] = max(abs(avgWaves(:,:,i)));
end
[~, w] = max(mean(pkAmpl));
pkLoc = pkLoc(:,w);
s = sign(avgWaves(pkLoc(1), w, 1));
figure
title(['clusters ' num2str(clust) ', amplitude on wire ' num2str(w)])
xlabel('time (hours)')
hold on
for i = 1:nClust
    loc = find(spkDat.id == clust(i));
    a = s * spkDat.waves(pkLoc(i), w, loc);
    if convertToVolt
        a = int2volt(a);
    end
    t = spkDat.ts(loc) / (spkDat.Fs * 3600);
    scatter(t, a, 'filled')
end
xlim([spkDat.ts(1) spkDat.ts(end)] / (spkDat.Fs * 3600))
hold off
