function spkDat = CleanClusters(spkDat, cleanDat, errCriterion, varargin)

clustList = arrayfun(@(x) x.id, cleanDat);

for i = 1:2:length(varargin)
    switch varargin{i}
        case 'clust'
            clustList = varargin{i+1};
        otherwise 
            disp('invalid optional argument passed to CleanClusters')
    end
end

clustList = intersect(arrayfun(@(x) x.id, cleanDat), clustList);
nErr = length(errCriterion);
nClust = length(clustList);
if nErr < nClust
    errCriterion = [errCriterion ones(1, nClust - nErr)*errCriterion(end)];
end
for i = 1:length(clustList)
    loc = find(spkDat.id == clustList(i));
    n = find(arrayfun(@(x) x.id, cleanDat) == clustList(i));
    rejectLoc = find(cleanDat(n).err >= errCriterion(i));
    spkDat.id(loc(rejectLoc)) = 0;
end