function [bMax splitVal splitDat] = MaxBimodal(waves, varargin)

showPlot = false;
datType = 'PCA';
for i = 1:2:length(varargin)
    switch lower(varargin{i})
        case 'showplot'
            showPlot = varargin{i+1};
        case 'type'
            datType = varargin{i+1};
    end
end

[wL nChan nSpk] = size(waves);
if nSpk < 6
    bMax = 0;
    splitVal = [];
    splitDat = [];
    weight = 0;
    return
end
            
if strcmp(datType, 'PCA')
    
    dat = reshape(waves, wL*nChan, [])';
    [pc proj] = pca(dat);
    nDim = min([5, wL*nChan]);
    b = zeros(1, nDim);
    spVal = zeros(1, nDim);
    for i = 1:nDim
        [b(i) spVal(i)] = Bimodality(proj(:,i));
    end
    [bMax maxDim] = max(b);
    splitVal = spVal(maxDim);
    splitDat = proj(:, maxDim);
    
else
    
    dat = reshape(waves, wL*nChan, [])';
    b = zeros(nChan, wL);
    spVal = zeros(nChan, wL);
    for w = 1:nChan
        for s = 1:wL
            [b(w,s) spVal(w,s)] = Bimodality(waves(s, w, :));
        end
    end
    [wire_bMax wire_pt] = max(b, [], 2);
    [bMax wire] = max(wire_bMax);
    pt = wire_pt(wire);
    splitVal = spVal(wire, pt);
    splitDat = squeeze(waves(pt, wire, :));
    
end

if showPlot
    Bimodality(splitDat, 'showplot', true);
end