function spkDat = MergeClusters(spkDat, mergeDat)

% 11/21/2016    M. Farries

relabelClusters = true;
[wL, nChan, ~] = size(spkDat.waves);

if isstruct(mergeDat)
    mergeClust = arrayfun(@(x) x.clust, mergeDat);
    dt = arrayfun(@(x) x.dt, mergeDat);
    destClust = mergeDat(1).refClust;
else
    destClust = mergeDat(1);
    mergeClust = mergeDat(2:end);
    dt = zeros(1, length(mergeClust));
end

% relabel all clusters in mergeDat to destClust
for i = 1:length(mergeClust)  
    loc = find(spkDat.id == mergeClust(i));
    spkDat.id(loc) = destClust;
    spkDat.ts(loc) = spkDat.ts(loc) + dt(i);
    if dt(i) ~= 0
        wv = spkDat.waves(:,:,loc);
        spkDat.waves(:,:,loc) = zeros(wL, nChan, length(loc));
        pts = (1:wL) + dt(i);
        pts = pts(pts > 0 & pts <= wL);
        spkDat.waves(pts - dt(i), :, loc) = wv(pts, :, :);
    end
end

% relabel other clusters to fill in gaps left behind by merged clusters
if relabelClusters
    mergeClust = sort(mergeClust, 'descend');
    for i = 1:length(mergeClust) 
        loc = find(spkDat.id > mergeClust(i));
        spkDat.id(loc) = spkDat.id(loc) - 1;
    end
end

if length(find(spkDat.ts - spkDat.ts0 > spkDat.wavePad)) > 0;
    disp('WARNING: total shift exceeds wavePad on some spikes--reload waves recommended')
end