function mergeDat = MergeTest2(spkDat, refClust, varargin)

spkDat.waves = double(spkDat.waves);
[wL, nChan, ~] = size(spkDat.waves);
pk = spkDat.peakLoc;
wP = spkDat.wavePad;
wL = wL - 2*wP;
clustList = setdiff(unique(spkDat.id), 0);
refIdx = find(clustList == refClust);
nClust = length(clustList);
win = 1000 * [1 - pk wL - pk] / (spkDat.Fs * spkDat.upsample);
chanList = 1:nChan;
shift = [-0.24 0.24];
mergeCrit = 0.05;
seq = true;

for i = 1:2:length(varargin)
    switch varargin{i}
        case 'win'
            win = varargin{i+1};
        case 'chan'
            chanList = varargin{i+1};
        case 'mergeCrit'
            mergeCrit = varargin{i+1};
        case 'shift'
            shift = varargin{i+1};
        case 'seq'
            seq = varargin{i+1};
        case 'sequential'
            seq = varargin{i+1};
    end
end

if seq
    clustList = clustList(clustList >= refClust);
    nClust = length(clustList);
end
refIdx = find(clustList == refClust);

shift = round(shift * (spkDat.Fs * spkDat.upsample) / 1000);
shift(1) = max(shift(1), -wP);
shift(2) = min(shift(2), wP);
shift = shift(1):shift(2);
nChan = length(chanList);
win = round(spkDat.Fs * win / 1000);
maxWin = [shift(1) + 1 - pk - wP, wL + wP - pk - shift(end)];
win(1) = max([win(1) maxWin(1)]);
win(2) = min([win(2) maxWin(2)]);
nPts = range(win) + 1;
pts = (1:nPts) + win(1) + pk + wP - 1;

% compute averate waveforms
template = zeros(wL + 2*wP, nChan, nClust);
for i = 1:nClust
    loc = find(spkDat.id == clustList(i));
    template(:,:,i) = mean(spkDat.waves(:, chanList, loc), 3);
end

% compute difference from ref cluster over all shifts, keep min dist
nShift = length(shift);
refWave = reshape(template(pts, :, refIdx), nPts*nChan, 1);
refAmpl = sum(refWave.^2);
dist = zeros(1, nClust);
dt = zeros(1, nClust);
d = shift;
for i = 1:nClust
    for s = 1:nShift
        testWave = reshape(template(pts  + shift(s), :, i), nPts*nChan, 1);
        testAmpl = sum(testWave.^2);
        d(s) = 1 - 2 * refWave' * testWave / (refAmpl + testAmpl);
    end
    [dist(i), iMin] = min(d);
    dt(i) = shift(iMin);
end

matchClust = find(dist < mergeCrit);
matchClust = setdiff(matchClust, refIdx);
disp([num2str(length(matchClust)) ' matching clusters found'])
if length(matchClust) == 0
    mergeDat = [];
    return
end
for i = 1:length(matchClust)
    mergeDat(i).clust = clustList(matchClust(i));
    mergeDat(i).dt = dt(matchClust(i));
    mergeDat(i).dist = dist(matchClust(i));
    mergeDat(i).chanList = chanList;
    mergeDat(i).refClust = refClust;
end