function splitDat = SplitTest(spkDat, clust, varargin)

minIsi = 1; % in milliseconds
Fs = spkDat.Fs;
wvFs = Fs * spkDat.upsample;
clustList = setdiff(unique(spkDat.id), 0);
nClust = length(clustList);
[wL, nChan, ~] = size(spkDat.waves);
pk = spkDat.peakLoc;
wP = spkDat.wavePad;
wL = wL - 2*wP;
win = 1000 * [1 - pk wL - pk] / wvFs;
chanList = 1:nChan;
subtractMean = true;
method = 'isosplit';
whiten = false;
numFeatures = 10;

for i = 1:2:length(varargin)
    switch lower(varargin{i})
        case 'minisi'
            minIsi = varargin{i+1};
        case 'chan'
            chanList = varargin{i+1};
        case 'method'
            method = varargin{i+1};
        case 'win'
            win = varargin{i+1};
        case 'whiten'
            whiten = varargin{i+1};
        case 'numfeatures'
            numFeatures = varargin{i+1};
        otherwise
            disp('Invalid optional argument passed to SplitTest')
    end
end

nChan = length(chanList);

maxWin = [1 - pk, wL - pk];
win = round(wvFs * win / 1000);
win(1) = max([win(1) maxWin(1)]);
win(2) = min([win(2) maxWin(2)]);
pts = (win(1):win(2)) + pk + wP;
loc = find(spkDat.id == clust);
splitDat.loc = loc;
wv = permute(spkDat.waves(pts, :, loc), [2 1 3]);
if whiten
    for i = 1:length(loc)
        wv(:,:,i) = spkDat.W * wv(:,:,i);
    end
end
wv = wv(chanList, :, :);

switch method
    case 'isosplit'
        features = ms_event_features(wv, numFeatures);
        id = isosplit5(features);
end

% relabel clusters in descending order of spike count
newClust = unique(id);
nClustNew = length(newClust);
nSpk = arrayfun(@(i) length(find(id == i)), newClust);
[~, iSort] = sort(nSpk, 'descend');
idNew = id;
for i = 1:nClustNew 
    loc = find(id == iSort(i));
    idNew(loc) = i;
end
id = idNew;
id(id > 1) = id(id > 1) + nClust - 1;
id(id == 1) = clust;

splitDat.origId = clust;
splitDat.newId = id;
