datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1056';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false)

iSes = [3];
sesDir = [datRoot rat filesep sesList{iSes} filesep]
load([sesDir 'behavior - RL.mat'])
rwd = TrialFilter(tsRL, 'x1', 'L');

fileDat = dir([sesDir rat '-RL*']);
datDir = [sesDir fileDat(1).name]

% load RHD info
rhdFile = [datDir filesep 'info.rhd'];
rhdInfo = ReadRhdInfo(rhdFile);
Fs = rhdInfo.Fs;

% load data segment
i = 1;
tR = [-2 2] + (tsRL.Center_NO(rwd(i)) + tsRL.Center_NI(rwd(i))) / 2;
r = tsRL.Side_NI(rwd);
fp = tsRL.firstFoodPoke(rwd);
r = r(r>tR(1) & r < tR(2));
fp = fp(fp>tR(1) & fp < tR(2));

data = LoadAuxData(datDir, 'timeRange', tR);
figure
hold on
plot(data.t, data.a(1,:))
plot(data.t, data.a(4,:))
figure
hold on
plot(data.t, data.a(2,:))
plot(data.t, data.a(5,:))
figure
hold on
plot(data.t, data.a(3,:))
plot(data.t, data.a(6,:))

% average hold period data
a = [];
for i = 1:length(tsRL.attemptNumber)
    tR = [0 0.25] + (tsRL.Center_NO(i) + tsRL.Center_NI(i)) / 2;
    data = LoadAuxData(datDir, 'timeRange', tR);
    a = cat(3, a, data.a);
end

figure
hold on
plot(mean(a(1,:,:),3))
plot(mean(a(4,:,:),3))
ylim([0 3.3])
figure
hold on
plot(mean(a(2,:,:),3))
plot(mean(a(5,:,:),3))
ylim([0 3.3])
figure
hold on
plot(mean(a(3,:,:),3))
plot(mean(a(6,:,:),3))
ylim([0 3.3])

b2 = mean(mean(a(2,:,:),3) + mean(a(5,:,:),3))/2
b3 = mean(mean(a(3,:,:),3) + mean(a(6,:,:),3))/2
bz = mean([bx by])

mean(mean(a(1,:,:),3)) - bz
mean(mean(a(4,:,:),3)) - bz
mean(mean(a(2,:,:),3)) - b2
mean(mean(a(5,:,:),3)) - b2
mean(mean(a(3,:,:),3)) - b3
mean(mean(a(6,:,:),3)) - b3

% id x,y
i = 3;
tR = [-0.25 0.75] + tsRL.Center_NO(i);
data = LoadAuxData(datDir, 'timeRange', tR);

% Z axis
figure
hold on
title(['z -- ' tsRL.choice(i)])
az1 = (data.a(1,:,:) - bz)*m;
az2 = (data.a(4,:,:) - bz)*m;
plot(data.t, az1)
plot(data.t, az2)
yR = ylim;
xlim([data.t(1) data.t(end)])
plot([tsRL.Center_NO(i) tsRL.Center_NO(i)], yR, 'g', 'LineWidth', 1.5)
plot([tsRL.Side_NI(i) tsRL.Side_NI(i)], yR, 'r', 'LineWidth', 1.5)

% Y axis
figure
hold on
title(['y -- ' tsRL.choice(i)])
ay1 = (data.a(2,:,:) - b2)*m;
ay2 = (data.a(5,:,:) - b2)*m;
plot(data.t, ay1)
plot(data.t, ay2)
yR = ylim;
xlim([data.t(1) data.t(end)])
plot([tsRL.Center_NO(i) tsRL.Center_NO(i)], yR, 'g', 'LineWidth', 1.5)
plot([tsRL.Side_NI(i) tsRL.Side_NI(i)], yR, 'r', 'LineWidth', 1.5)

% X axis
figure
hold on
title(['x -- ' tsRL.choice(i)])
ax1 = (data.a(3,:,:) - b3);
ax2 = (data.a(6,:,:) - b3);
plot(data.t, ax1)
plot(data.t, ax2)
yR = ylim;
xlim([data.t(1) data.t(end)])
plot([tsRL.Center_NO(i) tsRL.Center_NO(i)], yR, 'g', 'LineWidth', 1.5)
plot([tsRL.Side_NI(i) tsRL.Side_NI(i)], yR, 'r', 'LineWidth', 1.5)

% average right choice data
choice = find(tsRL.choice == 'R');
a = [];
for i = choice
    tR = [-0.25 0.25] + tsRL.Center_NO(i);
    data = LoadAuxData(datDir, 'timeRange', tR);
    a = cat(3, a, data.a);
end

figure
hold on
plot(mean(a(1,:,:),3) - bz)
plot(mean(a(4,:,:),3) - bz)
figure
hold on
plot(mean(a(2,:,:),3) - b2)
plot(mean(a(5,:,:),3) - b2)
figure
hold on
plot(mean(a(3,:,:),3) - b3)
plot(mean(a(6,:,:),3) - b3)

% place origin at center port, with +y running towards food cup and +x
% going right

% 1/4: z
% 6: +x (3: -x) 
% 5: -y (2: +y)

% average hold period data
a = [];
for i = 1:length(tsRL.attemptNumber)
    tR = [0 0.25] + (tsRL.Center_NO(i) + tsRL.Center_NI(i)) / 2;
    data = LoadAuxData(datDir, 'timeRange', tR);
    a = cat(3, a, data.a);
end

% get rotation matrix, estimate ADX335 gain
z = (mean(mean(a(1,:,:),3)) + mean(mean(a(4,:,:),3)))/2 - bz;
x = (mean(mean(a(6,:,:),3)) - mean(mean(a(3,:,:),3)))/2;
y = (mean(mean(a(2,:,:),3)) - mean(mean(a(5,:,:),3)))/2;
m = 980 / norm([x y z]) % cm/sec^2 per volt

% initialization of variables
i = 1; % trial number
tR = [-0.25 0.5] + [tsRL.Center_NI(i) tsRL.Center_NO(i)];
data = LoadAuxData(datDir, 'timeRange', tR);
z = ((data.a(1,:) + data.a(4,:)) / 2 - bz) * m;
x = (data.a(6,:) - data.a(3,:)) * m / 2;
y = (data.a(2,:) - data.a(5,:)) * m / 2;
figure
hold on
plot(data.t, z, 'k')
plot(data.t, x, 'r')
plot(data.t, y, 'g')
title(['trial ' num2str(i) ', ' tsRL.choice(i) ' choice'])
yR = ylim;
xlim([data.t(1) data.t(end)])
plot([tsRL.Center_NI(i) tsRL.Center_NI(i)], yR, 'm', 'LineWidth', 2)
plot([tsRL.Center_NO(i) tsRL.Center_NO(i)], yR, 'b', 'LineWidth', 2)

% find times during hold period where acceleration signal is steady and has
% magnitude = g
n = arrayfun(@(i) norm([x(i) y(i) z(i)]), 1:length(x));
figure
hold on
plot(data.t, n - 980)
title(['norm: trial ' num2str(i) ', ' tsRL.choice(i) ' choice'])
yR = ylim;
xlim([data.t(1) data.t(end)])
plot([tsRL.Center_NI(i) tsRL.Center_NI(i)], yR, 'm', 'LineWidth', 2)
plot([tsRL.Center_NO(i) tsRL.Center_NO(i)], yR, 'b', 'LineWidth', 2)
plot([data.t(1) data.t(end)], [0 0], 'k--')

d = abs(n - 980);
accThr = 40;
lowAcc = d < accThr;
lowStart = find(diff(lowAcc) > 0);
lowEnd = find(diff(lowAcc) < 0);
if lowEnd(1) < lowStart(1)
    lowEnd = lowEnd(2:end);
end
lowStart = lowStart(1:min(length(lowStart), length(lowEnd)));
lowEnd = lowEnd(1:min(length(lowStart), length(lowEnd)));
lowAcc = [data.t(lowStart)' data.t(lowEnd)'];
lowDur = lowAcc(:,2) - lowAcc(:,1);


g = m*[x y z];
Rz = RotMatrix([0 0 1], g);
Oz = Rz*[0;0;1]; 
Oy = Rz*[0;1;0]


