function R = RotMatrix(u1, u2)

% computes rotation matrix required to rotate vector u1 into the direction
% of u2

% normalize vectors to unit length
u1 = u1 / sqrt(sum(u1 .^2));
u2 = u2 / sqrt(sum(u2 .^2));

% get cross product
v = cross(u1, u2);
xmat = [0, -v(3), v(2); v(3), 0, -v(1); -v(2), v(1), 0];

% compute rotation matrix
R = eye(3) + xmat + xmat*xmat / (1 + dot(u1,u2));
