%% choose session

datRoot = '/Volumes/LaCie/Farries recordings/';
%srvRoot = '/Volumes/Recordings/Michael/';

rat = 'IM1261';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
%sesList2 = dir([srvRoot rat '/20*']);
%sesList2 = arrayfun(@(x) x.name, sesList2, 'UniformOutput', false)
keep = [];
logFilePav = cell(1, length(sesList));
pavDir = cell(1, length(sesList));
for i = 1:length(sesList)
    sesDir = [datRoot rat filesep sesList{i} filesep];
    tmp = dir([sesDir '*Conditioning.log']);
    if ~isempty(tmp)
        logFilePav{i} = [sesDir tmp(1).name];
    end
    fileDat = dir([sesDir 'IM*']);
    idx = arrayfun(@(f) f.isdir, fileDat);
    folder = arrayfun(@(f) f.name, fileDat(idx), 'UniformOutput', false);
    folderInfo = cellfun(@(f) strsplit(f, {'-', '_'}), folder, 'UniformOutput', false);
    task = cellfun(@(f) f{2}, folderInfo, 'UniformOutput', false);
    pavIdx = find(cellfun(@(t) strcmp(t, 'pav'), lower(task)));
    if ~isempty(pavIdx)
        pavDir{i} = [sesDir folder{pavIdx}];
    end
end

keep = cellfun(@(x) ~isempty(x), pavDir) & cellfun(@(x) ~isempty(x), logFilePav)

sesList = sesList(keep)
pavDir = pavDir(keep)
logFilePav = logFilePav(keep)



%% analyze Pavlovian behavior

for i = 1:length(sesList)
    sesDir = [datRoot rat filesep sesList{i} filesep];
    disp(['analyzing ' num2str(i) ' of ' num2str(length(sesList))]) 
    [logPav tsPav] = ExtractBehavior(pavDir{i}, logFilePav{i}, 'Pav');
    save([sesDir filesep 'behavior - Pav.mat'], 'logPav', 'tsPav');
end

pavLogs = cell(1, length(sesList));
pavTs = cell(1, length(sesList));
for i = 1:length(sesList)
    sesDir = [datRoot rat filesep sesList{i} filesep];
    load([sesDir filesep 'behavior - Pav.mat'])
    pavLogs{i} = logPav;
    pavTs{i} = tsPav;
end