%% choose session

datRoot = '/Volumes/LaCie/Farries recordings/';
%datRoot = '/Volumes/Elements/';
%srvRoot = '/Volumes/Recordings/Michael/';

rat = 'IM1261';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false)
%sesList2 = dir([srvRoot rat '/20*']);
%sesList2 = arrayfun(@(x) x.name, sesList2, 'UniformOutput', false)

iSes = 1;
%sesStr = strsplit(sesList{iSes}, ' ');
%sesStr = [sesStr{1} '-' sesStr{2}];
sesDir = [datRoot rat filesep sesList{iSes} filesep]
%sesIdx = find(strcmp(sesStr, sesList2));
%sesDir2 = [srvRoot rat filesep sesList2{sesIdx} filesep]

%% identify behavior logfiles

for iSes = 1:length(sesList)
    
    sesDir = [datRoot rat filesep sesList{iSes} filesep]

logFileRL = dir([sesDir '*RL.log']);
if ~isempty(logFileRL)
    logFileRL = [sesDir logFileRL(1).name];
else
    disp('no RL logfile found')
end

logFileLaser = dir([sesDir '*Laser.log']);
if ~isempty(logFileLaser)
    logFileLaser = [sesDir logFileLaser(1).name];
else
    disp('no laser logfile found')
end

logFilePav = dir([sesDir '*Conditioning.log']);
if ~isempty(logFilePav)
    logFilePav = [sesDir logFilePav(1).name];
else
    disp('no Pavlovian logfile found')
end

%% identify behavior boxfiles

fileDat = dir([sesDir 'IM*']);
%fileDat = dir([sesDir2 'IM*']);
idx = arrayfun(@(f) f.isdir, fileDat);
folder = arrayfun(@(f) f.name, fileDat(idx), 'UniformOutput', false);
folderInfo = cellfun(@(f) strsplit(f, {'-', '_'}), folder, 'UniformOutput', false);
task = cellfun(@(f) f{2}, folderInfo, 'UniformOutput', false);

rlIdx = find(cellfun(@(t) strcmp(t, 'RL'), task));
if ~isempty(rlIdx)
    rlDir = [sesDir folder{rlIdx}];
    %rlDir = [sesDir2 folder{rlIdx}];
else
    disp('RL Intan data directory not found');
    rlDir = '';
end

laserIdx = find(cellfun(@(t) strcmp(t, 'laser'), task));
if ~isempty(laserIdx)
    laserDir = [sesDir folder{laserIdx}];
else
    disp('laser Intan data directory not found');
    laserDir = '';
end

pavIdx = find(cellfun(@(t) strcmp(t, 'pav'), lower(task)));
if ~isempty(pavIdx)
    pavDir = [sesDir folder{pavIdx}];
else
    disp('Pavlovian Intan data directory not found');
    pavDir = '';
end

%% analyze behavior

if ~isempty(logFileRL) & ~isempty(rlDir)
    fprintf('analyzing RL behavior...')
    [logRL tsRL] = ExtractBehavior(rlDir, logFileRL, 'RL');
    save([sesDir filesep 'behavior - RL.mat'], 'logRL', 'tsRL');
    fprintf('complete\n');
end

end