datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1130';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false)
taskList = {'RL', 'Pav'}; % tasks on which to perform burst analysis

for iSes = 2:13
    
    sesDir = [datRoot rat filesep sesList{iSes}]

    % create analysis directory if necessary
    for task = taskList    
        if exist([sesDir filesep 'analysis' filesep task{1}]) ~=7
            mkdir([sesDir filesep 'analysis' filesep task{1}]);
        end
    end

    % load unit data
    load([sesDir '/unitDat.mat'])
    
    % identify targeted task segments
    [~, taskIdx] = ismember(taskList, unit(1).taskList);

    % loop through units
    for u = 1:length(unit)
        
        % loop through tasks
        for i = taskIdx
            t1 = unit(u).taskStart(i);
            t2 = unit(u).taskEnd(i);
            spkTimes = unit(u).spkTimes;
            spkTimes = spkTimes(spkTimes > t1 & spkTimes < t2);
            burstDat = DetectBursts(spkTimes);
            
            % save burst/pause data
            save([sesDir filesep 'analysis' filesep unit(u).taskList{i} filesep 'burstDat ' unit(u).name '.mat'], 'burstDat');
            
        end
        
    end
    
    
end