%% Clear Current Location

datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1261';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
sorted = cellfun(@(s) exist([datRoot rat filesep s filesep 'unitDat.mat']), sesList) == 2;
behav = cellfun(@(s) exist([datRoot rat filesep s filesep 'behavior - RL.mat']), sesList) == 2;
sesList = sesList(sorted & behav);

for iSes = 1:length(sesList)
    
    sesDir = [datRoot rat filesep sesList{iSes} filesep];
    
    % load unit data
    clear unit;
    load([sesDir 'unitDat.mat'])
    
    % reset location
    for u = 1:length(unit)
        unit(u).location = [];
    end
    
    % save unit data
    save([sesDir 'unitDat.mat'], 'unit')
    
end

%% Log New Unit Location

sesList = ...
    {'2020-06-10','2020-06-12','2020-06-17','2020-06-19','2020-06-22','2020-06-24','2020-06-29', '2020-07-01', '2020-07-03'};

trodeList1261 = cell(1,9);
trodeList1261{1} = {'I-t15'};
trodeList1261{2} = {'I-t06', 'I-t15'};
trodeList1261{3} = {'I-t06', 'I-t14', 'I-t15'};
trodeList1261{4} = {'I-t06', 'I-t13', 'I-t14', 'I-t15'};
trodeList1261{5} = {'I-t06', 'I-t13', 'I-t14', 'I-t15'};
trodeList1261{6} = {'I-t06', 'I-t13', 'I-t14', 'I-t15'};
trodeList1261{7} = {'I-t06', 'I-t10', 'I-t13', 'I-t14', 'I-t15'};
trodeList1261{8} = {'I-t06', 'I-t10', 'I-t13', 'I-t15'};
trodeList1261{9} = {'I-t06', 'I-t10', 'I-t15'};

% load unit data, log location based on date and trode name
for iSes = 1:length(sesList)
    
    sesDir = [datRoot rat filesep sesList{iSes} filesep];
    
    % load unit data
    clear unit;
    load([sesDir 'unitDat.mat'])
    uDat = arrayfun(@(x) strsplit(x.name, ' '), unit, 'UniformOutput', false);
    cellTrode = cellfun(@(u) u{3}, uDat, 'UniformOutput', false);
    gpIdx = find(ismember(cellTrode, trodeList1261{iSes}));
     
     % log location of GPe cells
     for i = gpIdx
         unit(i).location = 'GPe';
     end
     
     % save unit data
     save([sesDir 'unitDat.mat'], 'unit')
    
end
