%% choose sessions
datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1261';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
sorted = cellfun(@(s) exist([datRoot rat filesep s filesep 'unitDat.mat']), sesList) == 2;
behav = cellfun(@(s) exist([datRoot rat filesep s filesep 'behavior - RL.mat']), sesList) == 2;
sesList = sesList(sorted & behav);

lastSes = '2020-07-03';
lastLoc = find(ismember(sesList, lastSes));
sesList = sesList(1:lastLoc);

lfpDir = [datRoot rat filesep sesList{1} filesep 'LFP' filesep 'RL' filesep]
trodeList = dir([lfpDir '*.hsdf']);
trodeList = arrayfun(@(d) d.name(1:end-5), trodeList, 'UniformOutput', false);
gpeTrodes = trodeList([7:15 18:20 26:30]);

% load unit data, log location based on date and trode name
for iSes = 1:length(sesList)
    
    sesDir = [datRoot rat filesep sesList{iSes} filesep];
    
    % load unit data
    clear unit;
    load([sesDir 'unitDat.mat'])
    uDat = arrayfun(@(x) strsplit(x.name, ' '), unit, 'UniformOutput', false);
    cellTrode = cellfun(@(u) u{3}, uDat, 'UniformOutput', false);
    gpIdx = find(ismember(cellTrode, gpeTrodes));
     
     % log location of GPe cells
     for i = gpIdx
         unit(i).location = 'GPe';
     end
     
     % save unit data
     save([sesDir 'unitDat.mat'], 'unit')
    
end


% choose trode
trode = 'II-t15';
% list sessions
sesList = dir([datRoot rat filesep '201*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
% sorted = cellfun(@(s) ~isempty(dir([datRoot rat filesep s filesep 'sorted-clean' filesep trode '.mat'])), sesList);
sorted = cellfun(@(s) exist([datRoot rat filesep s filesep 'unitDat.mat']) == 2, sesList);
sesList = sesList(sorted);
trodeSes = {};
for i = 1:length(sesList)
    load([datRoot rat filesep sesList{i} filesep 'unitDat.mat'])
    uName = arrayfun(@(u) strsplit(u.name), unit, 'UniformOutput', false);
    uTrode = cellfun(@(u) u{3}, uName, 'UniformOutput', false);
    if ismember(trode, uTrode)
        trodeSes = [trodeSes sesList{i}];
    end
end
trodeSes

i = 0;
while i < length(trodeSes)

i=i+1;
trodeSes{i}
load([datRoot rat filesep trodeSes{i} filesep 'unitDat.mat'])
uDat = arrayfun(@(u) strsplit(u.name, ' '), unit, 'UniformOutput', false);
uIdx = find(cellfun(@(u) strcmp(u{3}, trode), uDat));
unit(uIdx(1)).location;

for u = uIdx
    unit(u).location = 'extended amygdala';
end
save([datRoot rat filesep trodeSes{i} filesep 'unitDat.mat'], 'unit')

end

% check waveforms
% iSes = 11;
% sesDir = [datRoot rat filesep sesList{iSes} filesep];
% clear unit
% load([sesDir 'unitDat.mat'])
% uDat = arrayfun(@(u) strsplit(u.name, ' '), unit, 'UniformOutput', false);
% uIdx = find(cellfun(@(u) strcmp(u{3}, trode), uDat));
% for u = uIdx
%     figure
%     plot(unit(u).meanWaveform)
%     xR = xlim;
%     yR = ylim;
%     rate = length(unit(u).spkTimes)/unit(u).taskEnd(end);
%     title([num2str(rate) ' Hz'])
% end

% strSes = [1:17];
% gpeSes = [];
% aSes = [];
% aName = 'VP-SI';
% bSes = [];
% bName = 'NB-EP-SI';
% strucSes = {strSes, gpeSes, aSes, bSes};
% strucName = {'striatum', 'GPe', aName, bName};

% log cell locations
for iSes = 1:length(sesList)
    sesDir = [datRoot rat filesep sesList{iSes} filesep];
    clear unit
    load([sesDir 'unitDat.mat'])
    uDat = arrayfun(@(u) strsplit(u.name, ' '), unit, 'UniformOutput', false);
    uIdx = find(cellfun(@(u) strcmp(u{3}, trode), uDat));
    strucIdx = find(cellfun(@(s) ismember(iSes, s), strucSes));
    for u = uIdx
        unit(u).location = strucName{strucIdx};
    end
    save([sesDir 'unitDat.mat'], 'unit')
end


%% check for unlogged units

sesList = dir([datRoot rat filesep '201*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
sorted = cellfun(@(s) exist([datRoot rat '/' s '/unitDat.mat'])==2, sesList);
sesList = sesList(sorted);
for iSes = 1:length(sesList)
    clear unit
    load([sesDir 'unitDat.mat'])
    uDat = arrayfun(@(u) strsplit(u.name, ' '), unit, 'UniformOutput', false);
    noLoc = find(arrayfun(@(u) isempty(u.location), unit));
    if ~isempty(noLoc)
        fprintf('\n%s:\n', i, sesList{iSes})
        unique(cellfun(@(u) u{3}, uDat(noLoc), 'UniformOutput', false))
    end
end