datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1153';
%implantSide = 'L';
sesList = dir([datRoot rat '/201*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
sorted = cellfun(@(s) ~isempty(dir([datRoot rat '/' s '/*sorted-raw'])), sesList);
sesList = sesList(sorted);
for i = 1:length(sesList)
    fprintf('%d) %s\n', i, sesList{i})
end

iSes = 15 % choose session
sesDir = [datRoot rat '/' sesList{iSes}]

date = strsplit(sesList{iSes}, {' ', '-'});
date = [date{1} '-' date{2} '-' date{3}];
sortRawDir = [sesDir '/sorted-raw'];
sortCleanDir = [sesDir '/sorted-clean'];
mkdir(sortCleanDir);
unitFile = [sesDir '/unitDat.mat'];
trodeList = dir([sortRawDir '/*.mat']);
trodeList = arrayfun(@(x) x.name, trodeList, 'UniformOutput', false);

iTrode = 0; % choose trode

iTrode = iTrode + 1;
[~, trode, ~] = fileparts(trodeList{iTrode})

% load data
sortFile = [sortRawDir '/' trodeList{iTrode}];
load(sortFile);
% spkDat = ReloadWaves(spkDat, trodeFile);
nClust = length(setdiff(unique(spkDat.id), 0));
disp([num2str(nClust) ' clusters loaded'])
PlotClusters(spkDat, 0+(1:8), 'maxScale', 2)

% align spike waveforms within clusters
dt = AlignTest(spkDat, 'win', [-0.3 0.3], 'shift', [-0.2 0.2]);
spkDat = AlignWaves(spkDat, dt);

% clean clusters
cd = CleanTest(spkDat, 'win', [-0.2 0.3]);
%CleanReview(spkDat, cd, 1, 10)
spkDat = CleanClusters(spkDat, cd, 20);

% attempt to spilt clusters
spkDat = SplitAll(spkDat, 'win', [-0.3 0.4]);

% attemt to merge clusters
md = MergeTest(spkDat, 1, 'mergeCrit', 0.1);
MergeReview(spkDat, md)
spkDat = MergeClusters(spkDat, md);

% realign whole clusters (define spike time as time of most prominent peak)
spkDat = AlignClusterMeans(spkDat, 'win', [-0.4 0.5]);

% move waveforms from one cluster to another ("reclassify")
rc = ReclassifyTest(spkDat, 'sourceClust', 1, 'destClust', 2);
ReclassifyReview(spkDat, rc, 'error', 2)
spkDat = ReclassifyWaves(spkDat, rc, 'error', 2);

% delete bad clusters
spkDat = DeleteClusters(spkDat, [1]);

% save processed spkDat
tmp = strsplit(trode, '-');
if strcmp(tmp{1}, 'I')
    implantSide = 'L'
else
     implantSide = 'R'
end
save([sortCleanDir filesep trodeList{iTrode}], 'spkDat', '-v7.3')
unit = ExportToUnit(spkDat, rat, date, trode, implantSide);
AppendUnit(unit, unitFile)
close all
