datRoot = '/Volumes/LaCie/Farries recordings/';
rat = 'IM1130';
sesList = dir([datRoot rat '/201*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
sorted = cellfun(@(s) ~isempty(dir([datRoot rat '/' s '/*sorted-raw'])), sesList);
sesList = sesList(sorted)

iSes = 1 % choose session
sesDir = [datRoot rat '/' sesList{iSes}]

date = strsplit(sesList{iSes}, {' ', '-'});
date = [date{1} '-' date{2} '-' date{3}];
sortCleanDir = [sesDir '/sorted-clean'];
unitFile = [sesDir '/unitDat.mat'];
if exist(sortCleanDir) == 7
    trodeList = dir([sortCleanDir '/*.mat']);
    trodeList = arrayfun(@(x) x.name, trodeList, 'UniformOutput', false);
    nTrodes = length(trodeList);
    disp([num2str(nTrodes) ' sorted trodes found'])
else
    disp('No clean-sort directory found--are you sure this session has been fully sorted?')
end


iTrode = 0; % choose trode

iTrode = iTrode + 1;
[~, trode, ~] = fileparts(trodeList{iTrode})

% load data
sortFile = [sortCleanDir '/' trodeList{iTrode}];
load(sortFile);
% spkDat = ReloadWaves(spkDat, trodeFile);
nClust = length(setdiff(unique(spkDat.id), 0));
disp(['trode ' num2str(iTrode) ' of ' num2str(nTrodes) ', ' num2str(nClust) ' clusters loaded'])
PlotClusters(spkDat, 0+(1:10), 'maxScale', 2)

% align spike waveforms within clusters
dt = AlignTest(spkDat, 'win', [-0.3 0.3], 'shift', [-0.2 0.2]);
spkDat = AlignWaves(spkDat, dt);

% clean clusters
cd = CleanTest(spkDat, 'win', [-0.3 0.3]);
%CleanReview(spkDat, cd, 1, 10)
spkDat = CleanClusters(spkDat, cd, 10);

% attempt to spilt clusters
spkDat = SplitAll(spkDat, 'win', [-0.3 0.4]);

% attemt to merge clusters
md = MergeTest(spkDat, 1, 'mergeCrit', 0.1);
MergeReview(spkDat, md)
spkDat = MergeClusters(spkDat, md);

% realign whole clusters (define spike time as time of most prominent peak)
spkDat = AlignClusterMeans(spkDat, 'win', [-0.4 0.5]);

% move waveforms from one cluster to another ("reclassify")
rc = ReclassifyTest(spkDat, 'sourceClust', 1, 'destClust', 2);
ReclassifyReview(spkDat, rc, 'error', 2)
spkDat = ReclassifyWaves(spkDat, rc, 'error', 2);

% delete bad clusters
spkDat = DeleteClusters(spkDat, [1])

% save reprocessed spkDat, update units list
save(sortFile, 'spkDat', '-v7.3')
unit = ExportToUnit(spkDat, rat, date, trode);
ReplaceUnit(unit, unitFile)
close all
