datRoot = '/Volumes/LaCie/Farries recordings/';

% choose rat
rat = 'IM1261';
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);

% list sessions
sesList = dir([datRoot rat '/20*']);
sesList = arrayfun(@(x) x.name, sesList, 'UniformOutput', false);
for i = 1:length(sesList)
    fprintf('%d) %s\n', i, sesList{i})
end

iSes = 17; % choose session

sesDir = [datRoot rat '/' sesList{iSes}]

% choose ECoG channel
iECoG = 1;
chan = 1; % only adjust if using tetrode/stereotrode for sleep assessment
taskList = dir([datRoot rat '/' sesList{iSes} '/LFP']);
taskList = arrayfun(@(x) x.name, taskList, 'UniformOutput', false);
delList = cellfun(@(n) strcmp(n(1), '.'), taskList);
taskList = taskList(~delList)
delList = cellfun(@(n) strcmp(lower(n(1:2)), 'la'), taskList); % remove laser tasks
taskList = taskList(~delList)
idx = find(cellfun(@(t) strcmp(t, 'sleep'), taskList));
if isempty(idx)
    idx = find(cellfun(@(t) strcmp(t, 'RL'), taskList));
end
testDir = [datRoot rat '/' sesList{iSes} '/LFP/' taskList{idx}]
ecogFiles = dir([testDir '/ECoG*.hsdf']);
hsdfName = ecogFiles(iECoG).name
fprintf('\nnumber of available ECoG channels: %d\nselected ECoG file: %s\n\n', length(ecogFiles), hsdfName)

% examine data
% tRange = [10 15];
% PlotTrodeData([testDir filesep hsdfName], tRange, 'returnData', false);

% loop through tasks, plotting spectrum and identifying potential SWS episodes
clear sleepLog
kThr = 3.5;
hThr = 10;
for task = 1:length(taskList)
    fprintf('%d) %s\n', task, taskList{task})
    datDir = [datRoot rat '/' sesList{iSes} '/LFP/' taskList{task}];
    hsdfFile = [datDir '/' hsdfName];
    sleepLog(task) = SleepLog(hsdfFile, 'chan', chan, 'kThr', kThr, 'hThr', hThr);
    sleepLog(task).task = taskList{task};
end


% verify automated choice of primary wake and sleep periods
for task = 1:length(taskList)
    fprintf('%d) %s\n', task, taskList{task})
    datDir = [datRoot rat '/' sesList{iSes} '/LFP/' taskList{task}];
    hsdfFile = [datDir '/' hsdfName];
    SleepLog(hsdfFile, 'chan', chan, 'sws', sleepLog(task).sws, 'wake', sleepLog(task).wake);
end

% choose SWS and wake epochs manually, if necessary
task = [];
sleepLog(task).task
% sleepLog(task).sws = [];
% sleepLog(task).wake = [];


%% save sleep data
for i = 1:length(sleepLog)
    sleepLog(i).kCriterion = kThr;
    sleepLog(i).hCriterion = hThr;
end
save([datRoot rat '/' sesList{iSes} '/sleepLog.mat'], 'sleepLog')
close all
